## org.jfree.chart.axis
Class ColorBar

    java.lang.Object
      org.jfree.chart.axis.ColorBar

All Implemented Interfaces:
  java.lang.Cloneable, java.io.Serializable

public class ColorBar
extends java.lang.Object
implements java.lang.Cloneable, java.io.Serializable

A color bar.

Author:
  David M. O'Donnell
See Also:
  Serialized Form

Field Summary
`static int` `DEFAULT_COLORBAR_THICKNESS` The default color bar thickness.
`static double` `DEFAULT_COLORBAR_THICKNESS_PERCENT` The default color bar thickness percentage.
`static int` `DEFAULT_OUTERGAP` The default outer gap.

Constructor Summary
`ColorBar(java.lang.String label)` Constructs a horizontal colorbar axis, using default values where necessary.

Method Summary
`void` `autoAdjustRange()` Rescales the axis to ensure that all data are visible.
`java.lang.Object` `clone()` Returns a clone of the object.
`void` `configure(ContourPlot plot)` Configures the color bar.
`double` `draw(java.awt.Graphics2D g2, double cursor, java.awt.geom.Rectangle2D plotArea, java.awt.geom.Rectangle2D dataArea, java.awt.geom.Rectangle2D reservedArea, org.jfree.ui.RectangleEdge edge)` Draws the plot on a Java 2D graphics device (such as the screen or a printer).
`void` `drawColorBar(java.awt.Graphics2D g2, java.awt.geom.Rectangle2D colorBarArea, org.jfree.ui.RectangleEdge edge)` Draws the plot on a Java 2D graphics device (such as the screen or a printer).
`boolean` `equals(java.lang.Object obj)` Tests this object for equality with another.
`ValueAxis` `getAxis()` Returns the axis.
`ColorPalette` `getColorPalette()` Returns the color palette.
`java.awt.Paint` `getPaint(double value)` Returns the Paint associated with a value.
`AxisSpace` `reserveSpace(java.awt.Graphics2D g2, Plot plot, java.awt.geom.Rectangle2D plotArea, java.awt.geom.Rectangle2D dataArea, org.jfree.ui.RectangleEdge edge, AxisSpace space)` Reserves the space required to draw the color bar.
`void` `setAxis(ValueAxis axis)` Sets the axis.
`void` `setColorPalette(ColorPalette palette)` Sets the color palette.
`void` `setMaximumValue(double value)` Sets the maximum value.
`void` `setMinimumValue(double value)` Sets the minimum value.

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_COLORBAR_THICKNESS

    public static final int DEFAULT_COLORBAR_THICKNESS

  The default color bar thickness.

  See Also:
    Constant Field Values

### DEFAULT_COLORBAR_THICKNESS_PERCENT

    public static final double DEFAULT_COLORBAR_THICKNESS_PERCENT

  The default color bar thickness percentage.

  See Also:
    Constant Field Values

### DEFAULT_OUTERGAP

    public static final int DEFAULT_OUTERGAP

  The default outer gap.

  See Also:
    Constant Field Values

Constructor Detail

### ColorBar

    public ColorBar(java.lang.String label)

  Constructs a horizontal colorbar axis, using default values where necessary.

Parameters:
  `label` - the axis label.

Method Detail

### configure

    public void configure(ContourPlot plot)

  Configures the color bar.

  Parameters:
    `plot` - the plot.

### getAxis

    public ValueAxis getAxis()

  Returns the axis.

  Returns:
    The axis.

### setAxis

    public void setAxis(ValueAxis axis)

  Sets the axis.

  Parameters:
    `axis` - the axis.

### autoAdjustRange

    public void autoAdjustRange()

  Rescales the axis to ensure that all data are visible.

### draw

    public double draw(java.awt.Graphics2D g2,
                       double cursor,
                       java.awt.geom.Rectangle2D plotArea,
                       java.awt.geom.Rectangle2D dataArea,
                       java.awt.geom.Rectangle2D reservedArea,
                       org.jfree.ui.RectangleEdge edge)

  Draws the plot on a Java 2D graphics device (such as the screen or a printer).

  Parameters:
    `g2` - the graphics device.
    `cursor` - the cursor.
    `plotArea` - the area within which the chart should be drawn.
    `dataArea` - the area within which the plot should be drawn (a subset of the drawArea).
    `reservedArea` - the reserved area.
    `edge` - the color bar location.
  Returns:
    The new cursor location.

### drawColorBar

    public void drawColorBar(java.awt.Graphics2D g2,
                             java.awt.geom.Rectangle2D colorBarArea,
                             org.jfree.ui.RectangleEdge edge)

  Draws the plot on a Java 2D graphics device (such as the screen or a printer).

  Parameters:
    `g2` - the graphics device.
    `colorBarArea` - the area within which the axis should be drawn.
    `edge` - the location.

### getColorPalette

    public ColorPalette getColorPalette()

  Returns the color palette.

  Returns:
    the color palette.

### getPaint

    public java.awt.Paint getPaint(double value)

  Returns the Paint associated with a value.

  Parameters:
    `value` - the value.
  Returns:
    the paint.

### setColorPalette

    public void setColorPalette(ColorPalette palette)

  Sets the color palette.

  Parameters:
    `palette` - the new palette.

### setMaximumValue

    public void setMaximumValue(double value)

  Sets the maximum value.

  Parameters:
    `value` - the maximum value.

### setMinimumValue

    public void setMinimumValue(double value)

  Sets the minimum value.

  Parameters:
    `value` - the minimum value.

### reserveSpace

    public AxisSpace reserveSpace(java.awt.Graphics2D g2,
                                  Plot plot,
                                  java.awt.geom.Rectangle2D plotArea,
                                  java.awt.geom.Rectangle2D dataArea,
                                  org.jfree.ui.RectangleEdge edge,
                                  AxisSpace space)

  Reserves the space required to draw the color bar.

  Parameters:
    `g2` - the graphics device.
    `plot` - the plot that the axis belongs to.
    `plotArea` - the area within which the plot should be drawn.
    `dataArea` - the data area.
    `edge` - the axis location.
    `space` - the space already reserved.
  Returns:
    The space required to draw the axis in the specified plot area.

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Returns a clone of the object.

  Returns:
    A clone.
  Throws:
    `java.lang.CloneNotSupportedException` - if some component of the color bar does not support cloning.

### equals

    public boolean equals(java.lang.Object obj)

  Tests this object for equality with another.

  Parameters:
    `obj` - the object to test against.
  Returns:
    A boolean.